> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usetuner.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Outbound Config

> Get the outbound calling configuration for an agent.



## OpenAPI

````yaml https://api.usetuner.ai/public/openapi.json get /api/v1/workspaces/{workspace_id}/agents/{agent_id}/settings/outbound-config
openapi: 3.1.0
info:
  title: My Public API
  version: 1.0.0
servers:
  - url: https://api.usetuner.ai
security: []
tags:
  - name: calls
    x-group: Calls
  - name: workspaces
    x-group: Workspaces
  - name: agent-settings
    x-group: Agent Settings
  - name: agents
    x-group: Agents
  - name: simulation
    x-group: Simulation
  - name: providers
    x-group: Providers
paths:
  /api/v1/workspaces/{workspace_id}/agents/{agent_id}/settings/outbound-config:
    get:
      tags:
        - agent-settings
      summary: Get Outbound Config
      description: Get the outbound calling configuration for an agent.
      operationId: >-
        get_outbound_config_api_v1_workspaces__workspace_id__agents__agent_id__settings_outbound_config_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: integer
            description: Tuner's internal numeric ID for the agent.
            title: Agent Id
          description: Tuner's internal numeric ID for the agent.
        - name: workspace_id
          in: path
          required: true
          schema:
            type: integer
            description: Workspace ID. Find this in Workspace > General Settings.
            title: Workspace Id
          description: Workspace ID. Find this in Workspace > General Settings.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OutboundConfigResponse'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              example:
                detail: Not authenticated
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: You do not have access to this workspace.
          content:
            application/json:
              example:
                detail: User does not have access to workspace 42
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: No outbound configuration has been saved for this agent.
          content:
            application/json:
              example:
                detail: No outbound config found for agent 17
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Bearer: []
components:
  schemas:
    OutboundConfigResponse:
      properties:
        id:
          type: integer
          title: Id
        agent_settings_id:
          type: integer
          title: Agent Settings Id
        trigger_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Trigger Url
        headers:
          anyOf:
            - items:
                $ref: '#/components/schemas/OutboundConfigHeader'
              type: array
            - type: 'null'
          title: Headers
        body_template_json:
          anyOf:
            - type: string
            - type: 'null'
          title: Body Template Json
        vapi_phone_number_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Vapi Phone Number Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - agent_settings_id
        - trigger_url
        - headers
        - body_template_json
        - vapi_phone_number_id
        - created_at
        - updated_at
      title: OutboundConfigResponse
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Human-readable description of what went wrong.
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Error body returned when a request fails.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OutboundConfigHeader:
      properties:
        key:
          type: string
          maxLength: 200
          title: Key
        value:
          type: string
          maxLength: 2048
          title: Value
      type: object
      required:
        - key
        - value
      title: OutboundConfigHeader
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Use Tuner API key (tr_api_...) or user session token. Find your API key
        in Workspace Settings > API Keys.
      scheme: bearer

````